SQL-инъекция в WordPress Spreadsheet Plugin

Дата публикации:
25.04.2008
Всего просмотров:
1544
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Spreadsheep Plugin (wpSS) 0.x
Уязвимые версии: WordPress Spreadsheet Plugin версии до 0.6.2

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "ss_id" в сценарии wpSS/ss_load.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/wp-content/plugins/wpSS/ss_load.php?ss_id=[SQL]

URL производителя: timrohrer.com/blog/?page_id=71

Решение: Установите последнюю версию 0.6.2 с сайта производителя.

или введите имя

CAPTCHA